# Ansible Collection - enbewe.base

Collecion of base things for common deployment of systems.

## Playbooks

### enbewe.base.known_hosts

Uses the (host) variable `ssh_ed25519` to register SSH host keys in the known hosts of localhost.

### enbewe.base.access

Install ssh keys as authorized keys in the target system and also configures sudo rights to the ansible user.
Afterwards tightens ssh security to disallow password logins.

### enbewe.base.motd

Remove components from motd, that are not needed.

### enbewe.base.ubuntu_pro

Configures the enrollment of the machine in Ubuntu Pro, enables the desired services and disables unwanted services.

### enbewe.base.update

Install available updates from package management.
